/***************************************************
 * Test program for the ASURO Minesweeper Extension
 * Adjust trimmer so that the LED is on when the
 * robot is over a metal object and off otherwise
 * V 1.0 (c) 2009 Robin Gruber
 ***************************************************/

#include "asuro.h"

extern volatile unsigned char count72kHz;

int main(void)
{
	unsigned char oscillation;
	Init();
	DDRD &= ~(1<<2); // Change Port D Pin 2 to input
	StatusLED(OFF);
   	while(1)
   	{
		count72kHz=0;
		oscillation = FALSE;
		while (count72kHz<100) {
			// Detect low level
			if ((PIND & (1<<2)) == 0) oscillation = TRUE;
		}
		// If cscillator is running, no metal object is within 
		// range, so LED should be off
		if (oscillation) FrontLED(OFF); else FrontLED(ON);
	}     
	return 0;
}

