/***************************************************
 * Test program for the ASURO Minesweeper Extension
 * Adjust trimmer so that the LED is always on.
 * The output on a terminal program shows a value
 * proportional to the frequency of the oscillator.
 * V 1.0 (c) 2009 Robin Gruber
 *********************************/

#include "asuro.h"
#include <stdio.h>


extern volatile unsigned char count72kHz;

int main(void)
{
    unsigned char oldlevel=0, newlevel;
    unsigned int freq;
    int i;
    char s[9];
    Init();

    DDRD &= ~(1<<2); // Change Port D Pin 2 to input
    StatusLED(OFF);
    while(1)
    {
	freq=0;
	for (i=0; i<100; i++) {
	    count72kHz=0; // This counter is incrementes in timer interrupt
	    FrontLED(OFF);
	    while (count72kHz<72) {
		// Detect level change
		newlevel = PIND & (1<<2);
		if (oldlevel != newlevel) {
		    oldlevel = newlevel;
		    freq++;
		    FrontLED(ON);
		}
	    }
	}  
	sprintf(s,"%5d\n\r",freq);
	SerWrite(s,7);
    }
    return 0;
}

